Pourquoi les dépôts débian ne peuvent contenir plusieurs version d'un même paquet ?

Le
Goldy
Bonjour à tous,

C'est une question que je me pose. J'ai lu je ne sais plus trop où que
l'architecture même des dépôts et le système de mise à jour ne
permettait pas de faire cohabiter plusieurs versions différentes d'un
même paquet dans les dépôts debian. Mais le document n'allait plus loin
dans le détail.

Je me pose la question car je me dis qu'il pourrait être très bénéfique
de pouvoir accéder parfois à une version antérieur d'un paquet, pour des
raisons de compatibilités et même en cas de bug critique. Je vois pas en
quoi ça poserait problème d'avoir un dépôt faisant cohabité une ou deux
version antérieure de chaque paquet (si ce n'est l'espace disque plus
important que ça requerrai). De,plus, il existe un certain nombre de
dépôt réservé à certains logiciels qui font cohabité plusieurs version,
et ça marche très bien.

Voilà donc ma question.

Merci d'avance.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Glennie Vignarajah
Le #19481281
Le Wednesday 03 June 2009, Goldy(Goldy écrit:
Bonjour à tous,



Bonjour,

Je me pose la question car je me dis qu'il pourrait être très
bénéfique de pouvoir accéder parfois à une version an térieur d'un
paquet, pour des raisons de compatibilités et même en cas de bug
critique.



voir http://snapshot.debian.net
A+
--
http://www.glennie.fr
The reasonable man adapts himself to the world; the unreasonable one
persists in trying to adapt the world to himself. Therefore all
progress depends on the unreasonable man.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Goldy
Le #19481501
Glennie Vignarajah a écrit :
Le Wednesday 03 June 2009, Goldy(Goldy écrit:
Bonjour à tous,



Bonjour,

Je me pose la question car je me dis qu'il pourrait être très
bénéfique de pouvoir accéder parfois à une version antérieur d'un
paquet, pour des raisons de compatibilités et même en cas de bug
critique.



voir http://snapshot.debian.net
A+




C'est intéressant comme service, et je pense que ça va me servir à
l'avenir. Mais je me demande toujours pourquoi quand un paquet est mis à
jours dans debian, ce dernier remplace le précédant plutôt que de
s'ajouter à celui-ci.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Nicolas Dandrimont
Le #19481661
--VS++wcV0S1rZb1Fb
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

* Goldy
C'est intéressant comme service, et je pense que ça va me servir à
l'avenir. Mais je me demande toujours pourquoi quand un paquet est mis à
jours dans debian, ce dernier remplace le précédant plutôt que de
s'ajouter à celui-ci.



C'est un simple problème d'utilisation d'espace sur les miroirs. Le
projet Debian empaquète des milliers de programmes, et un miroir
complet prend déjà beaucoup de place (ça se compte en centaines de
Gibioctets). S'il fallait garder toutes les versions de paquets, la
taille serait monstrueuse. (4 Tebioctets en Juillet 2008, en
augmentation exponentielle).

Bonne soirée,
--
Nicolas Dandrimont

--VS++wcV0S1rZb1Fb
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkom01cACgkQacIxuZqlam2LvwCcDoLTFL+YHB6xt8oIquTzWZWC
TGQAmgIJgnkHKwuZjt9aN6kCFfUVf1dh
=vYaZ
-----END PGP SIGNATURE-----

--VS++wcV0S1rZb1Fb--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
flomine
Le #19482801
>>> Bonjour à tous,



Bonjour,






Bonjour à vous
Je me pose la question car je me dis qu'il pourrait être très
bénéfique de pouvoir accéder parfois à une version antérieur d'un
paquet, pour des raisons de compatibilités et même en cas de bug
critique.



voir http://snapshot.debian.net
A+





J'ai été confronté à ce genre de problème. Mais comme je ne trouve
jamais ce que je veux sur http://snapshot.debian.net, faut aussi penser
à regarder dans /var/cache/apt/archives (si tu n'y a pas fait le ménage
bien sûr). Et puis quand ce dossier archives prend trop de place, j'aime
bien faire une copie de son contenu sur un disque externe avant de le
vider. Je me constitue mon petit snapshot perso en quelque sorte.

A bientôt.

flomine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme